## linux-liquorix 6.12

=== drivers/firmware/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the linux kernel.
#
obj-$(CONFIG_ARM_SCPI_PROTOCOL)	+= arm_scpi.o
obj-$(CONFIG_ARM_SDE_INTERFACE)	+= arm_sdei.o
obj-$(CONFIG_DMI)		+= dmi_scan.o
obj-$(CONFIG_DMI_SYSFS)		+= dmi-sysfs.o
obj-$(CONFIG_EDD)		+= edd.o
obj-$(CONFIG_DMIID)		+= dmi-id.o
obj-$(CONFIG_INTEL_STRATIX10_SERVICE) += stratix10-svc.o
obj-$(CONFIG_INTEL_STRATIX10_RSU)     += stratix10-rsu.o
obj-$(CONFIG_ISCSI_IBFT_FIND)	+= iscsi_ibft_find.o
obj-$(CONFIG_ISCSI_IBFT)	+= iscsi_ibft.o
obj-$(CONFIG_FIRMWARE_MEMMAP)	+= memmap.o
obj-$(CONFIG_MTK_ADSP_IPC)	+= mtk-adsp-ipc.o
obj-$(CONFIG_RASPBERRYPI_FIRMWARE) += raspberrypi.o
obj-$(CONFIG_FW_CFG_SYSFS)	+= qemu_fw_cfg.o
obj-$(CONFIG_SYSFB)		+= sysfb.o
obj-$(CONFIG_SYSFB_SIMPLEFB)	+= sysfb_simplefb.o
obj-$(CONFIG_TI_SCI_PROTOCOL)	+= ti_sci.o
obj-$(CONFIG_TRUSTED_FOUNDATIONS) += trusted_foundations.o
obj-$(CONFIG_TURRIS_MOX_RWTM)	+= turris-mox-rwtm.o

obj-y				+= arm_ffa/
obj-y				+= arm_scmi/
obj-y				+= broadcom/
obj-y				+= cirrus/
obj-y				+= meson/
obj-y				+= microchip/
obj-$(CONFIG_GOOGLE_FIRMWARE)	+= google/
obj-y				+= efi/
obj-y				+= imx/
obj-y				+= psci/
obj-y				+= qcom/
obj-y				+= smccc/
obj-y				+= tegra/
obj-y				+= xilinx/

=== drivers/hwmon/pmbus/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for PMBus chip drivers.
#

obj-$(CONFIG_PMBUS)		+= pmbus_core.o
obj-$(CONFIG_SENSORS_PMBUS)	+= pmbus.o
obj-$(CONFIG_SENSORS_ACBEL_FSG032) += acbel-fsg032.o
obj-$(CONFIG_SENSORS_ADM1266)	+= adm1266.o
obj-$(CONFIG_SENSORS_ADM1275)	+= adm1275.o
obj-$(CONFIG_SENSORS_ADP1050)	+= adp1050.o
obj-$(CONFIG_SENSORS_BEL_PFE)	+= bel-pfe.o
obj-$(CONFIG_SENSORS_BPA_RS600)	+= bpa-rs600.o
obj-$(CONFIG_SENSORS_DELTA_AHE50DC_FAN) += delta-ahe50dc-fan.o
obj-$(CONFIG_SENSORS_FSP_3Y)	+= fsp-3y.o
obj-$(CONFIG_SENSORS_IBM_CFFPS)	+= ibm-cffps.o
obj-$(CONFIG_SENSORS_DPS920AB)	+= dps920ab.o
obj-$(CONFIG_SENSORS_INSPUR_IPSPS) += inspur-ipsps.o
obj-$(CONFIG_SENSORS_IR35221)	+= ir35221.o
obj-$(CONFIG_SENSORS_IR36021)	+= ir36021.o
obj-$(CONFIG_SENSORS_IR38064)	+= ir38064.o
obj-$(CONFIG_SENSORS_IRPS5401)	+= irps5401.o
obj-$(CONFIG_SENSORS_ISL68137)	+= isl68137.o
obj-$(CONFIG_SENSORS_LM25066)	+= lm25066.o
obj-$(CONFIG_SENSORS_LT7182S)	+= lt7182s.o
obj-$(CONFIG_SENSORS_LTC2978)	+= ltc2978.o
obj-$(CONFIG_SENSORS_LTC3815)	+= ltc3815.o
obj-$(CONFIG_SENSORS_LTC4286)	+= ltc4286.o
obj-$(CONFIG_SENSORS_MAX15301)	+= max15301.o
obj-$(CONFIG_SENSORS_MAX16064)	+= max16064.o
obj-$(CONFIG_SENSORS_MAX16601)	+= max16601.o
obj-$(CONFIG_SENSORS_MAX20730)	+= max20730.o
obj-$(CONFIG_SENSORS_MAX20751)	+= max20751.o
obj-$(CONFIG_SENSORS_MAX31785)	+= max31785.o
obj-$(CONFIG_SENSORS_MAX34440)	+= max34440.o
obj-$(CONFIG_SENSORS_MAX8688)	+= max8688.o
obj-$(CONFIG_SENSORS_MP2856)	+= mp2856.o
obj-$(CONFIG_SENSORS_MP2888)	+= mp2888.o
obj-$(CONFIG_SENSORS_MP2891)	+= mp2891.o
obj-$(CONFIG_SENSORS_MP2975)	+= mp2975.o
obj-$(CONFIG_SENSORS_MP2993)	+= mp2993.o
obj-$(CONFIG_SENSORS_MP5023)	+= mp5023.o
obj-$(CONFIG_SENSORS_MP5920)	+= mp5920.o
obj-$(CONFIG_SENSORS_MP5990)	+= mp5990.o
obj-$(CONFIG_SENSORS_MP9941)	+= mp9941.o
obj-$(CONFIG_SENSORS_MPQ7932)	+= mpq7932.o
obj-$(CONFIG_SENSORS_MPQ8785)	+= mpq8785.o
obj-$(CONFIG_SENSORS_PLI1209BC)	+= pli1209bc.o
obj-$(CONFIG_SENSORS_PM6764TR)	+= pm6764tr.o
obj-$(CONFIG_SENSORS_PXE1610)	+= pxe1610.o
obj-$(CONFIG_SENSORS_Q54SJ108A2)	+= q54sj108a2.o
obj-$(CONFIG_SENSORS_STPDDC60)	+= stpddc60.o
obj-$(CONFIG_SENSORS_TDA38640)	+= tda38640.o
obj-$(CONFIG_SENSORS_TPS40422)	+= tps40422.o
obj-$(CONFIG_SENSORS_TPS53679)	+= tps53679.o
obj-$(CONFIG_SENSORS_TPS546D24)	+= tps546d24.o
obj-$(CONFIG_SENSORS_UCD9000)	+= ucd9000.o
obj-$(CONFIG_SENSORS_UCD9200)	+= ucd9200.o
obj-$(CONFIG_SENSORS_XDP710)	+= xdp710.o
obj-$(CONFIG_SENSORS_XDPE122)	+= xdpe12284.o
obj-$(CONFIG_SENSORS_XDPE152)	+= xdpe152c4.o
obj-$(CONFIG_SENSORS_ZL6100)	+= zl6100.o
obj-$(CONFIG_SENSORS_PIM4328)	+= pim4328.o

## linux-liquorix 4.7

=== debian/changelog ===
linux-liquorix (4.7-7mx150+3) mx; urgency=medium

  * Add packet-fix-race-condition-in-packet_set_ring.patch (CVE-2016-8655 fix).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Dec 2016 10:27:31 -0800

linux-liquorix (4.7-7mx150+2) mx; urgency=medium

  * Rebuild for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Fri, 21 Oct 2016 22:44:16 -0500

linux-liquorix (4.7-7mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Tue, 11 Oct 2016 22:52:18 -0500

linux-liquorix (4.7-7~bpo8) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 11 Oct 2016 13:34:00 -0700

linux-liquorix (4.7-7) unstable; urgency=medium

  * merge 4.7.7
  * update version to 7.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 09 Oct 2016 21:29:14 -0500

linux-liquorix (4.7-6jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 01 Oct 2016 11:26:13 -0700

linux-liquorix (4.7-6) unstable; urgency=medium

  * merge 4.7.6
  * update version to 6.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 30 Sep 2016 18:59:02 -0500

linux-liquorix (4.7-5.jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 26 Sep 2016 14:59:41 -0700

linux-liquorix (4.7-5) unstable; urgency=medium

  * merge 4.7.5
  * merge BFQ v8r3
   - add wb-buf-throttle support to bfq
  * update version to 5.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 24 Sep 2016 21:04:03 -0500

linux-liquorix (4.7-4.jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 21 Sep 2016 10:01:15 -0700

linux-liquorix (4.7-4) unstable; urgency=medium

  * merge 4.7.4
  * merge 4.7.5-rc for 2016-09-20
  * update configuration
   - enabled compaction where disabled
   - enable support for non-standard nvdimm hardware where disabled
   - disable CMA where enabled
  * update version to 4.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 20 Sep 2016 18:36:57 -0500

linux-liquorix (4.7-3wheezy1) wheezy; urgency=medium

  * Backport to Debian 7 (Wheezy).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 11 Sep 2016 13:09:59 -0700

linux-liquorix (4.7-3) unstable; urgency=medium

  * merge 4.7.3
  * merge 4.7.4-rc for 2016-09-10
  * update version to 3.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 10 Sep 2016 13:23:50 -0500

linux-liquorix (4.7-2jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 22 Aug 2016 14:19:57 -0700

linux-liquorix (4.7-2) unstable; urgency=medium

  * merge 4.7.2
  * update version to 2.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 20 Aug 2016 14:47:39 -0500

linux-liquorix (4.7-1jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 14 Aug 2016 13:01:34 -0700

linux-liquorix (4.7-1) unstable; urgency=medium

  * switch to Linux 4.7 
  * merge Jen Axboe's wb-buf-throttle-4.7 branch for writeback throttling
  * merge 4.7.1-rc for 2016-08-13
  * update kernel package with script changes in siduction kernel package
  * update version to 0.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 13 Aug 2016 17:36:15 -0500

linux-liquorix (4.6-9) unstable; urgency=medium

  * merge 4.6.6
  * update BFQ from v8r1 -> v8r2
  * update version to 6.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Aug 2016 17:23:08 -0500

linux-liquorix (4.6-8jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 11 Aug 2016 14:01:18 -0700

linux-liquorix (4.6-8) unstable; urgency=medium

  * merge 4.6.5
  * update BFQ from v7r11 -> v8r1
  * update version to 5.dmz.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 06 Aug 2016 15:54:21 -0500

linux-liquorix (4.6-6jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 27 Jul 2016 19:25:54 -0700

linux-liquorix (4.6-6) unstable; urgency=medium

  * merge 4.6.5-rc for 2016-07-25
  * update version to 4.dmz.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 25 Jul 2016 20:37:26 -0500

linux-liquorix (4.6-5jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 17 Jul 2016 14:25:59 -0700

linux-liquorix (4.6-5) unstable; urgency=medium

  * merge 4.6.5-rc for 2016-07-16 
  * merge two fixes for multi-monitor support on skylake
  * update version to 4.dmz.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 16 Jul 2016 19:28:40 -0500

linux-liquorix (4.6-4jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 13 Jul 2016 11:09:43 -0700

linux-liquorix (4.6-4) unstable; urgency=medium

  * merge 4.6.4
  * update version to 4.dmz.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 11 Jul 2016 20:17:10 -0500

linux-liquorix (4.6-3jessie1) jessie; urgency=medium

  * Backport to Debian 8 (Jessie).

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 19 Jun 2016 16:32:07 -0700

linux-liquorix (4.6-3) unstable; urgency=medium

  * switch from voluntary kernel preemption to full
  * remove CKO from kernel source
  * drop patches/zen/Revert-kbuild-Add-option-to-turn-incompatible-pointe.patch
  * update version to 2.dmz.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Jun 2016 14:33:24 -0500

linux-liquorix (4.6-2) unstable; urgency=medium

  * merge 4.6.2
  * merge 4.6.3-rc for 2016-06-18
  * switch from full to voluntary kernel preemption
  * update version to 2.dmz.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 18 Jun 2016 20:45:40 -0500

linux-liquorix (4.6-1jessie1) jessie; urgency=medium


=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9.20120115), cpio, python3, python3-six, bc, gcc-4.9 [amd64 i386]
#XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>
Vcs-Browser: https://github.com/damentz/liquorix-package
Vcs-Git: https://github.com/damentz/liquorix-package.git
Homepage: http://www.liquorix.net/
XSBC-Original-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: v3g4n@mxlinux.org

Package: linux-image-4.7.0-7.1-liquorix-amd64
Architecture: amd64
Provides: linux-modules-4.7.0-7.1-liquorix-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free
Suggests: linux-doc-4.7, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Conflicts: r8168-dkms, hal
Description: Linux 4.7 for 64-bit PCs
 The Linux kernel 4.7 and modules for use on PCs with AMD64 or Intel 64
 processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-4.7.0-7.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-headers-4.7.0-7.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-4.7.0-7.1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-4.9
Conflicts: r8168-dkms
Description: Header files for Linux 4.7.0-7.1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.7.0-7.1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.7.0-7.1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.7.0-7.1-liquorix-amd64 package.

Package: linux-image-4.7.0-7.1-liquorix-686
Architecture: i386
Provides: linux-modules-4.7.0-7.1-liquorix-686
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.7, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.7 for modern PCs
 The Linux kernel 4.7 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.7.0-7.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686 (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.7.0-7.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-4.7.0-7.1-liquorix-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-4.9
Conflicts: r8168-dkms
Description: Header files for Linux 4.7.0-7.1-liquorix-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.7.0-7.1-liquorix-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.7.0-7.1-liquorix-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.7.0-7.1-liquorix-686 package.

Package: linux-image-4.7.0-7.1-liquorix-686-pae
Architecture: i386
Provides: linux-modules-4.7.0-7.1-liquorix-686-pae
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.7, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.7 for modern PCs
 The Linux kernel 4.7 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel requires PAE (Physical Address Extension) This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.

Package: linux-image-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.7.0-7.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686-pae (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.7.0-7.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-4.7.0-7.1-liquorix-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-4.9
Conflicts: r8168-dkms
Description: Header files for Linux 4.7.0-7.1-liquorix-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.7.0-7.1-liquorix-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.7.0-7.1-liquorix-686-pae, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.7.0-7.1-liquorix-686-pae package.

## linux-liquorix 4.19

=== debian/changelog ===
linux-liquorix (4.19-9~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Jan 2019 22:51:31 -0800

linux-liquorix (4.19-9ubuntu1~xenial) xenial; urgency=medium

  * merge 4.19.14
  * update version to 14.1 

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Jan 2019 19:59:58 -0600

linux-liquorix (4.19-8) unstable; urgency=medium

  * merge 4.19.13
  * update version to 13.1 

 -- Steven Barrett <steven@liquorix.net>  Sat, 29 Dec 2018 12:19:53 -0600

linux-liquorix (4.19-7) unstable; urgency=medium

  * merge latest 4.19.13-rc patches (contains more usb fixes)
  * update version to 12.3

 -- Steven Barrett <steven@liquorix.net>  Wed, 26 Dec 2018 14:21:16 -0600

linux-liquorix (4.19-6) unstable; urgency=medium

  * add patch to fix suspend with non XHCI USB ports
  * update version to 12.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Dec 2018 17:02:23 -0600

linux-liquorix (4.19-5) unstable; urgency=medium

  * merge 4.19.12
  * merge 4.19.13-rc
  * update version to 12.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Dec 2018 14:53:09 -0600

linux-liquorix (4.19-4) unstable; urgency=medium

  * merge 4.19.11
  * merge 4.19.12-rc
  * update version to 11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 19 Dec 2018 16:36:43 -0600

linux-liquorix (4.19-3) unstable; urgency=medium

  * merge 4.19.10
  * update version to 10.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 17 Dec 2018 14:13:54 -0600

linux-liquorix (4.19-2) unstable; urgency=medium

  * merge 4.19.9
  * merge 4.19.10-rc
  * update version to 9.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 13 Dec 2018 19:55:17 -0600

linux-liquorix (4.19-1) unstable; urgency=medium

  * switch to kernel v4.19 base
  * merge 4.19.8
  * merge 4.19.9-rc
  * add muqss build fix for v4.19.7
  * enable hierarchical group scheduling for bfq-sq + bfq-mq
  * update version to 8.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 09 Dec 2018 15:07:42 -0600

linux-liquorix (4.18-28) unstable; urgency=medium

  * enable transparent hugepages by default
  * set THP defrag strategy to defer+madvise by default
  * update version to 20.3

 -- Steven Barrett <steven@liquorix.net>  Wed, 28 Nov 2018 20:04:01 -0600

linux-liquorix (4.18-27) unstable; urgency=medium

  * merge 4.18.20
  * update version to 20.2 (incase anyone got stuck on 20.1)

 -- Steven Barrett <steven@liquorix.net>  Wed, 21 Nov 2018 12:30:39 -0600

linux-liquorix (4.18-26) unstable; urgency=medium

  * merge 4.18.20-rc updates
  * reset periodic tick frequency back to 250hz (check git for comments)
  * re-enable IRQ time accounting (check git for comments)
  * update version to 19.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 19 Nov 2018 21:22:56 -0600

linux-liquorix (4.18-25) unstable; urgency=low

  * set version to 19.2, we'll bump to 20.2 next time if needed

 -- Steven Barrett <steven@liquorix.net>  Sun, 18 Nov 2018 17:26:39 -0600

linux-liquorix (4.18-24) unstable; urgency=medium

  * switch periodic tick frequency from 250hz to 1000hz
  * update version to 20.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 18 Nov 2018 13:47:46 -0600

linux-liquorix (4.18-23) unstable; urgency=medium

  * merge 4.18.19
  * merge 4.18.20-rc
  * update version to 19.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 15 Nov 2018 20:08:39 -0600

linux-liquorix (4.18-22) unstable; urgency=medium

  * merge 4.18.18
  * merge 4.18.19-rc
  * switch periodic tick frequency from 1000hz to 250hz
  * disable IRQ time accounting
  * raise RR interval in MuQSS from 3 to 4ms (matches 250hz)
  * raise ondemand up_thresholds to default (80 broad, 95 granular)
  * raise ondemand sample_down_factor from 1 to 5 (improves single core perf)
  * update version to 18.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 11 Nov 2018 16:25:35 -0600

linux-liquorix (4.18-21) unstable; urgency=medium

  * merge 4.18.17
  * merge bfq BUG_ON fix
   - block, bfq-sq: remove wrong BUG_ON from bfq_remove_request
  * update version to 17.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 04 Nov 2018 12:05:25 -0600

linux-liquorix (4.18-20) unstable; urgency=medium

  * merge 4.18.17-rc
  * disable bfq-sq/mq hierarchical grouping
  * update version to 16.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 31 Oct 2018 20:05:01 -0500

linux-liquorix (4.18-19) unstable; urgency=medium

  * merge 4.18.16 (no-op)
  * merge bfq change
   - block, bfq-sq, bfq-mq: fix asymmetric scenarios detection
  * update version to 16.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 26 Oct 2018 18:49:20 -0500

linux-liquorix (4.18-18) unstable; urgency=medium

  * merge 4.18.15
  * merge 4.18.16-rc
  * update verson to 15.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 19 Oct 2018 18:38:05 -0500

linux-liquorix (4.18-17) unstable; urgency=medium

  * merge 4.18.14
  * merge new bfq changes in Algodev-bfq/bfq-mq
  * update version to 14.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 13 Oct 2018 14:22:18 -0500

linux-liquorix (4.18-16) unstable; urgency=medium

  * merge 4.18.13
  * update version to 13.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 10 Oct 2018 18:54:29 -0500

linux-liquorix (4.18-15) unstable; urgency=medium

  * merge 4.18.13-rc
  * update version to 12.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 08 Oct 2018 21:49:42 -0500

linux-liquorix (4.18-14) unstable; urgency=medium

  * merge 4.18.12
  * update version to 12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Oct 2018 21:16:23 -0500

linux-liquorix (4.18-13) unstable; urgency=medium

  * merge 4.18.11
  * update version to 11.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 29 Sep 2018 13:25:49 -0500

linux-liquorix (4.18-12) unstable; urgency=medium

  * revert 4.18.11-rc patches, causes nvidia drm kernel oops
  * update version to 10.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Sep 2018 18:33:08 -0500

linux-liquorix (4.18-11) unstable; urgency=medium

  * merge 4.18.10
  * merge 4.18.11-rc


=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, python3, python3-six, bc, liblz4-tool, libelf-dev, libssl-dev, flex, bison, gcc [amd64 i386]
Vcs-Git: https://github.com/damentz/liquorix-package.git
Vcs-Browser: https://github.com/damentz/liquorix-package
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>
Homepage: http://www.liquorix.net/

Package: linux-image-4.19.0-14.1-liquorix-amd64
Architecture: amd64
Provides: linux-modules-4.19.0-14.1-liquorix-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free
Suggests: linux-doc-4.19, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Conflicts: r8168-dkms, hal
Description: Linux 4.19 for 64-bit PCs
 The Linux kernel 4.19 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-4.19.0-14.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-headers-4.19.0-14.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-4.19.0-14.1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.19.0-14.1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.19.0-14.1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.19.0-14.1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.19.0-14.1-liquorix-amd64 package.

Package: linux-image-4.19.0-14.1-liquorix-686
Architecture: i386
Provides: linux-modules-4.19.0-14.1-liquorix-686
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.19, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.19 for modern PCs
 The Linux kernel 4.19 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.19.0-14.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686 (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.19.0-14.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-4.19.0-14.1-liquorix-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.19.0-14.1-liquorix-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.19.0-14.1-liquorix-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.19.0-14.1-liquorix-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.19.0-14.1-liquorix-686 package.

Package: linux-image-4.19.0-14.1-liquorix-686-pae
Architecture: i386
Provides: linux-modules-4.19.0-14.1-liquorix-686-pae
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.19, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.19 for modern PCs
 The Linux kernel 4.19 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel requires PAE (Physical Address Extension) This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.

Package: linux-image-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.19.0-14.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686-pae (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.19.0-14.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-4.19.0-14.1-liquorix-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.19.0-14.1-liquorix-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.19.0-14.1-liquorix-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.19.0-14.1-liquorix-686-pae, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.19.0-14.1-liquorix-686-pae package.

## linux-liquorix 4.20

=== debian/changelog ===
linux-liquorix (4.20-9~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Feb 2019 17:34:12 -0800

linux-liquorix (4.20-9ubuntu1~xenial) xenial; urgency=medium

  * merge 4.20.11
  * update version to 11.1 

 -- Steven Barrett <steven@liquorix.net>  Wed, 20 Feb 2019 16:29:50 -0600

linux-liquorix (4.20-8) unstable; urgency=medium

  * merge 4.20.10
  * update version to 10.1 

 -- Steven Barrett <steven@liquorix.net>  Sun, 17 Feb 2019 17:17:13 -0600

linux-liquorix (4.20-7) unstable; urgency=medium

  * export sched_smt_present in MuQSS.c (fix build error)
  * update version to 8.2 

 -- Steven Barrett <steven@liquorix.net>  Tue, 12 Feb 2019 21:25:34 -0600

linux-liquorix (4.20-6) unstable; urgency=medium

  * merge 4.20.8
  * update version to 8.1 

 -- Steven Barrett <steven@liquorix.net>  Tue, 12 Feb 2019 20:20:46 -0600

linux-liquorix (4.20-5) unstable; urgency=medium

  * merge 4.20.7
  * update version to 7.1 

 -- Steven Barrett <steven@liquorix.net>  Wed, 06 Feb 2019 18:33:53 -0600

linux-liquorix (4.20-4) unstable; urgency=medium

  * merge 4.20.6-rc
  * add new bfq backports for next lniux
  * update version to 5.2 

 -- Steven Barrett <steven@liquorix.net>  Wed, 30 Jan 2019 19:14:31 -0600

linux-liquorix (4.20-3) unstable; urgency=medium

  * merge 4.20.5
  * set transparent hugepages mode to madvise by default
  * update version to 5.1 

 -- Steven Barrett <steven@liquorix.net>  Sat, 26 Jan 2019 11:35:24 -0600

linux-liquorix (4.20-2) unstable; urgency=medium

  * merge 4.20.4
  * backport bfq updates from algodev/bfq-mq:
   - bfq: do not consider interactive queues in srt filtering
   - bfq: avoid selecting a queue w/o budget
   - bfq: make sure queue budgets are not below service received
  * update version to 4.1 

 -- Steven Barrett <steven@liquorix.net>  Tue, 22 Jan 2019 21:31:12 -0600

linux-liquorix (4.20-1) unstable; urgency=medium

  * switch to kernel v4.20
  * refresh configuration for v4.20
  * use mainline bfq instead of out-of-tree
  * backport a depth/tag bugfix for bfq
  * explicitely disable writeback throttling
  * explicitely disable support for legacy block
  * merge 4.20.3
  * update version to 3.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 20 Jan 2019 16:13:13 -0600

linux-liquorix (4.19-11) unstable; urgency=medium

  * merge 4.19.16
  * update version to 16.1 

 -- Steven Barrett <steven@liquorix.net>  Thu, 17 Jan 2019 18:37:34 -0600

linux-liquorix (4.19-10) unstable; urgency=medium

  * merge 4.19.15
  * merge upstream bfq-sq/bfq-mq updates
   - bfq-sq, bfq-mq: do not consider interactive queues in srt filtering
   - bfq-sq, bfq-mq: avoid selecting a queue w/o budget
   - bfq-sq, bfq-mq: make sure queue budgets are not below service received
  * update version to 15.1 

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Jan 2019 18:47:31 -0600

linux-liquorix (4.19-9) unstable; urgency=medium

  * merge 4.19.14
  * update version to 14.1 

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Jan 2019 19:59:58 -0600

=== debian/control ===
Source: linux-liquorix
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, python3, python3-six, bc, liblz4-tool, libelf-dev, libssl-dev, flex, bison, gcc [amd64 i386]
Vcs-Browser: https://github.com/damentz/liquorix-package
XSBC-Original-Maintainer: Steven Barrett <steven@liquorix.net>
Homepage: http://www.liquorix.net/
Vcs-Git: https://github.com/damentz/liquorix-package.git

Package: linux-image-4.20.0-11.1-liquorix-amd64
Architecture: amd64
Provides: linux-modules-4.20.0-11.1-liquorix-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free
Suggests: linux-doc-4.20, crda [amd64], grub-pc [amd64] | extlinux [amd64] | grub-efi-amd64 [amd64]
Conflicts: r8168-dkms, hal
Description: Linux 4.20 for 64-bit PCs
 The Linux kernel 4.20 and modules for use on PCs with AMD64 or Intel 64
 processors.

Package: linux-image-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-image-4.20.0-11.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-amd64 (= ${binary:Version})
Description: Linux image for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-liquorix-amd64
Architecture: amd64
Section: metapackages
Priority: extra
Depends: linux-headers-4.20.0-11.1-liquorix-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on 64-bit PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with AMD64 or Intel 64 processors machines for liquorix.

Package: linux-headers-4.20.0-11.1-liquorix-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.20.0-11.1-liquorix-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.20.0-11.1-liquorix-amd64, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.20.0-11.1-liquorix-amd64, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.20.0-11.1-liquorix-amd64 package.

Package: linux-image-4.20.0-11.1-liquorix-686
Architecture: i386
Provides: linux-modules-4.20.0-11.1-liquorix-686
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.20, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.20 for modern PCs
 The Linux kernel 4.20 and modules for use on PCs with Intel Pentium
 Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom; AMD Geode LX/NX, Athlon
 (K7), Duron, Opteron, Sempron, Turion or Phenom; Transmeta Efficeon; VIA
 C3 "Nehemiah" or C7 processors.

Package: linux-image-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.20.0-11.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686 (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-liquorix-686
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.20.0-11.1-liquorix-686 (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with Intel Pentium Pro/II/III/4/4M/D/M, Xeon, Celeron, Core or Atom;
 AMD Geode LX/NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C3 "Nehemiah" or C7 processors machines for
 liquorix.

Package: linux-headers-4.20.0-11.1-liquorix-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.20.0-11.1-liquorix-686
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.20.0-11.1-liquorix-686, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.20.0-11.1-liquorix-686, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.20.0-11.1-liquorix-686 package.

Package: linux-image-4.20.0-11.1-liquorix-686-pae
Architecture: i386
Provides: linux-modules-4.20.0-11.1-liquorix-686-pae
Pre-Depends: debconf | debconf-2.0
Depends: kmod, ${misc:Depends}, initramfs-tools [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, libc6-i686 [i386]
Suggests: linux-doc-4.20, crda [i386], grub-pc [i386] | extlinux [i386] | grub-efi-ia32 [i386]
Conflicts: r8168-dkms, hal
Description: Linux 4.20 for modern PCs
 The Linux kernel 4.20 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel requires PAE (Physical Address Extension) This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.

Package: linux-image-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-image-4.20.0-11.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Recommends: linux-headers-liquorix-686-pae (= ${binary:Version})
Description: Linux image for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-liquorix-686-pae
Architecture: i386
Section: metapackages
Priority: extra
Depends: linux-headers-4.20.0-11.1-liquorix-686-pae (= ${binary:Version}), ${misc:Depends}
Description: Linux headers for liquorix on modern PCs
 This metapackage depends on the latest binary image for Linux kernel on
 PCs with one or more processors supporting PAE machines for liquorix.

Package: linux-headers-4.20.0-11.1-liquorix-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libelf-dev, gcc
Conflicts: r8168-dkms
Description: Header files for Linux 4.20.0-11.1-liquorix-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.20.0-11.1-liquorix-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.20.0-11.1-liquorix-686-pae, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.20.0-11.1-liquorix-686-pae package.
